### Method

# Gtk IconViewset_cursor

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_cursor (
      GtkIconView* icon_view,
      GtkTreePath* path,
      GtkCellRenderer* cell,
      gboolean start_editing
    )

#### Description [src]

Sets the current keyboard focus to be at `path`, and selects it. This is useful when you want to focus the user’s attention on a particular item. If `cell` is not `NULL`, then focus is given to the cell specified by it. Additionally, if `start_editing` is `TRUE`, then editing should be started in the specified cell.

This function is often followed by `gtk_widget_grab_focus (icon_view)` in order to give keyboard focus to the widget. Please note that editing can only happen when the widget is realized.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`

  The data is owned by the caller of the method.

`cell`

  Type: `GtkCellRenderer`

  One of the cell renderers of `icon_view`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`start_editing`

  Type: `gboolean`

  `TRUE` if the specified cell should start being edited.